Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1239869 - qtlockedfile: FTBFS in rawhide
Summary: qtlockedfile: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qtlockedfile
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-07-05 21:16 UTC by Dennis Gilmore
Modified: 2015-08-08 01:12 UTC (History)
3 users (show)

Fixed In Version: qtlockedfile-2.4-18.20150629git5a07df5.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-08 01:08:38 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2015-07-05 21:16 UTC, Dennis Gilmore
no flags Details
root.log (deleted)
2015-07-05 21:16 UTC, Dennis Gilmore
no flags Details
state.log (deleted)
2015-07-05 21:16 UTC, Dennis Gilmore
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-44595 0 None None None Never
Red Hat Bugzilla 1239870 0 unspecified CLOSED qtsingleapplication: FTBFS in rawhide 2021-02-22 00:41:40 UTC

Internal Links: 1239870

Description Dennis Gilmore 2015-07-05 21:16:44 UTC
Your package qtlockedfile failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10147921

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Comment 1 Dennis Gilmore 2015-07-05 21:16:45 UTC
Created attachment 1047922 [details]
build.log

Comment 2 Dennis Gilmore 2015-07-05 21:16:45 UTC
Created attachment 1047923 [details]
root.log

Comment 3 Dennis Gilmore 2015-07-05 21:16:46 UTC
Created attachment 1047924 [details]
state.log

Comment 4 Rex Dieter 2015-07-06 16:30:22 UTC
Wierd one, I cannot reproduce this locally.

This may be relevant,
https://bugreports.qt.io/browse/QTBUG-44595

(behavior of qtLibraryTarget)

Comment 5 Rex Dieter 2015-07-06 16:37:10 UTC
Confirmed, this was a behavior change in 5.4.2 and newer.

Looks like it's fixed upstream,
https://github.com/qtproject/qt-solutions/commit/5a07df503a6f01280f493cbcc2aace462b9dee57

Comment 6 Jan Kurik 2015-07-15 13:30:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 7 Raphael Groner 2015-07-26 16:53:06 UTC
IMHO it's not good to check qt version in prf file. That's something to do in spec content, if you ask me. as I've done so for QTSA.
We've to duplicate prf files in individual folders and modify anyways to the dedicated qt version in use.

Comment 8 Fedora Update System 2015-07-27 12:06:28 UTC
qtlockedfile-2.4-18.20150629git5a07df5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qtlockedfile-2.4-18.20150629git5a07df5.fc22

Comment 9 Fedora Update System 2015-07-27 12:30:15 UTC
qtlockedfile-2.4-18.20150629git5a07df5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qtlockedfile-2.4-18.20150629git5a07df5.fc21

Comment 10 Rex Dieter 2015-07-28 13:22:25 UTC
that's a tricky sed to get right (multiline replacements), imo, patching is safer and more robust in this case.

Comment 11 Rex Dieter 2015-07-28 13:23:47 UTC
Re: comment #7
Checking Qt versions in prf's should not be a problem either, it's (more) upstreamable.

Comment 12 Raphael Groner 2015-07-29 14:26:01 UTC
(In reply to Rex Dieter from comment #10)
> that's a tricky sed to get right (multiline replacements), imo, patching is
> safer and more robust in this case.

I guess you mean this comment as an answer to my changes done in QTSA, see bug #1239870. Please continue with discussion there.
http://pkgs.fedoraproject.org/cgit/qtsingleapplication.git/commit/?id=17b53d3a23dadeb83e928e14906cbd763e173018
http://pkgs.fedoraproject.org/cgit/qtsingleapplication.git/commit/?id=bbfb699b6693fc25e127aafe790185d5e010f0a6

Comment 13 Raphael Groner 2015-07-29 14:27:41 UTC
(In reply to Rex Dieter from comment #11)
> Re: comment #7
> Checking Qt versions in prf's should not be a problem either, it's (more)
> upstreamable.

Well, that would not be fully avoidable, at least not while we've to ship for more than one qt major version, meaning currently for both qt4 and qt5.

Comment 14 Fedora Update System 2015-07-30 01:09:25 UTC
Package qtlockedfile-2.4-18.20150629git5a07df5.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qtlockedfile-2.4-18.20150629git5a07df5.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12249/qtlockedfile-2.4-18.20150629git5a07df5.fc22
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-08-08 01:08:38 UTC
qtlockedfile-2.4-18.20150629git5a07df5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-08-08 01:12:16 UTC
qtlockedfile-2.4-18.20150629git5a07df5.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.